# CLDF dataset derived from the LSDO's "Chin Dialect Data" from 2019

[![CLDF validation](https://github.com/lexibank/chindialectsurvey/workflows/CLDF-validation/badge.svg)](https://github.com/lexibank/chindialectsurvey/actions?query=workflow%3ACLDF-validation)

## How to cite

If you use these data please cite
- the original source
  > Language and Social Development Organization (2019): Chin dialect data collection. Yangon: LSDO.
- the derived dataset using the DOI of the [particular released version](../../releases/) you were using

## Description


This dataset is licensed under a CC-BY-4.0 license


Conceptlists in Concepticon:
- [LSDO-2019-462](https://concepticon.clld.org/contributions/LSDO-2019-462)
## Notes

This is an excerpts of a large collection of Chin dialect data of more than 100 different speakers, which we have reduced to 31 varieties for which the geographic locations were then added.



## Statistics


[![CLDF validation](https://github.com/lexibank/chindialectsurvey/workflows/CLDF-validation/badge.svg)](https://github.com/lexibank/chindialectsurvey/actions?query=workflow%3ACLDF-validation)
![Glottolog: 69%](https://img.shields.io/badge/Glottolog-69%25-orange.svg "Glottolog: 69%")
![Concepticon: 99%](https://img.shields.io/badge/Concepticon-99%25-green.svg "Concepticon: 99%")
![Source: 100%](https://img.shields.io/badge/Source-100%25-brightgreen.svg "Source: 100%")
![BIPA: 100%](https://img.shields.io/badge/BIPA-100%25-brightgreen.svg "BIPA: 100%")
![CLTS SoundClass: 100%](https://img.shields.io/badge/CLTS%20SoundClass-100%25-brightgreen.svg "CLTS SoundClass: 100%")

- **Varieties:** 31
- **Concepts:** 460
- **Lexemes:** 14,271
- **Sources:** 1
- **Synonymy:** 1.05
- **Invalid lexemes:** 0
- **Tokens:** 75,448
- **Segments:** 201 (0 BIPA errors, 0 CTLS sound class errors, 200 CLTS modified)
- **Inventory size (avg):** 58.00

## Possible Improvements:

- Languages linked to [bookkeeping languoids in Glottolog](http://glottolog.org/glottolog/glottologinformation#bookkeepinglanguoids):
  - Rawngtu Weilong [wela1234](http://glottolog.org/resource/languoid/id/wela1234)
  - Rawngtu Ramtim [wela1234](http://glottolog.org/resource/languoid/id/wela1234)



# Contributors

Name | GitHub user | Description | Role
--- | --- | --- | ---
Johann-Mattis List | @LinguList | maintainer | Other 
Muhammad Zakaria | | language mapping, orthography profile | Other
Nathan Statezni | | data collector | DataCollector, Author




## CLDF Datasets

The following CLDF datasets are available in [cldf](cldf):

- CLDF [Wordlist](https://github.com/cldf/cldf/tree/master/modules/Wordlist) at [cldf/cldf-metadata.json](cldf/cldf-metadata.json)